AtomicDefault Struct Reference

Atomic (single contractual event) default events. More...

`#include <ql/experimental/credit/defaulttype.hpp>`

## Public Types

enum | Type { Restructuring = 0, Bankruptcy, FailureToPay, RepudiationMoratorium, Acceleration, Default, ObligationAcceleration = Acceleration, ObligationDefault = Default, CrossDefault = Default, Downgrade, MergerEvent }

## Detailed Description

Atomic (single contractual event) default events.

Default types defined as enum to allow easy aggregation of types. Theres an event algebra logic by default provided by DefaultType. If your new type requires more sofisticated test you need to derive from it as in FailureToPay